### Method

# GIRepository ObjectInfo get_class_struct

since: 2.80

#### Declaration

    GIStructInfo*
    gi_object_info_get_class_struct (
      GIObjectInfo* info
    )

#### Description

Every `GObject` has two structures; an instance structure and a class structure. This function returns the metadata for the class structure.

Available since: 2.80

#### Return value

Type: `GIStructInfo`

The `GIStructInfo` or `NULL` if it’s unknown. Free with `gi_base_info_unref()` when done.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.